Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.impl
Class FolderTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.xds.metadata.impl.FolderTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FolderType

    public class FolderTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements FolderType

An implementation of the model object 'Folder Type'.

The following features are implemented:

- `Associated Documents`
- `Availability Status`
- `Code`
- `Comments`
- `Entry UUID`
- `Last Update Time`
- `Patient Id`
- `Title`
- `Unique Id`
- `Existing`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetComments(InternationalStringType newComments, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPatientId(CX newPatientId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTitle(InternationalStringType newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAssociatedDocuments()`
`AvailabilityStatusType` | `getAvailabilityStatus()`
`org.eclipse.emf.common.util.EList` | `getCode()`
`InternationalStringType` | `getComments()`
`java.lang.String` | `getEntryUUID()`
`java.lang.String` | `getLastUpdateTime()`
`CX` | `getPatientId()`
`InternationalStringType` | `getTitle()`
`java.lang.String` | `getUniqueId()`
`boolean` | `isExisting()`
`boolean` | `isSetAvailabilityStatus()`
`boolean` | `isSetExisting()`
`void` | `setAvailabilityStatus(AvailabilityStatusType newAvailabilityStatus)`
`void` | `setComments(InternationalStringType newComments)`
`void` | `setEntryUUID(java.lang.String newEntryUUID)`
`void` | `setExisting(boolean newExisting)`
`void` | `setLastUpdateTime(java.lang.String newLastUpdateTime)`
`void` | `setPatientId(CX newPatientId)`
`void` | `setTitle(InternationalStringType newTitle)`
`void` | `setUniqueId(java.lang.String newUniqueId)`
`java.lang.String` | `toString()`
`void` | `unsetAvailabilityStatus()`
`void` | `unsetExisting()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAssociatedDocuments

    public org.eclipse.emf.common.util.EList getAssociatedDocuments()

  Specified by:
    `getAssociatedDocuments` in interface `FolderType`
  Returns:
    the value of the 'Associated Documents' attribute list.
  See Also:
    `MetadataPackage.getFolderType_AssociatedDocuments()`

### getAvailabilityStatus

    public AvailabilityStatusType getAvailabilityStatus()

  Specified by:
    `getAvailabilityStatus` in interface `FolderType`
  Returns:
    the value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `FolderType.isSetAvailabilityStatus()`, `FolderType.unsetAvailabilityStatus()`, `FolderType.setAvailabilityStatus(AvailabilityStatusType)`, `MetadataPackage.getFolderType_AvailabilityStatus()`

### setAvailabilityStatus

    public void setAvailabilityStatus(AvailabilityStatusType newAvailabilityStatus)

  Specified by:
    `setAvailabilityStatus` in interface `FolderType`
  Parameters:
    `newAvailabilityStatus` - the new value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `FolderType.isSetAvailabilityStatus()`, `FolderType.unsetAvailabilityStatus()`, `FolderType.getAvailabilityStatus()`

### unsetAvailabilityStatus

    public void unsetAvailabilityStatus()

  Specified by:
    `unsetAvailabilityStatus` in interface `FolderType`
  See Also:
    `FolderType.isSetAvailabilityStatus()`, `FolderType.getAvailabilityStatus()`, `FolderType.setAvailabilityStatus(AvailabilityStatusType)`

### isSetAvailabilityStatus

    public boolean isSetAvailabilityStatus()

  Specified by:
    `isSetAvailabilityStatus` in interface `FolderType`
  Returns:
    whether the value of the 'Availability Status' attribute is set.
  See Also:
    `FolderType.unsetAvailabilityStatus()`, `FolderType.getAvailabilityStatus()`, `FolderType.setAvailabilityStatus(AvailabilityStatusType)`

### getCode

    public org.eclipse.emf.common.util.EList getCode()

  Specified by:
    `getCode` in interface `FolderType`
  Returns:
    the value of the 'Code' containment reference list.
  See Also:
    `MetadataPackage.getFolderType_Code()`

### getComments

    public InternationalStringType getComments()

  Specified by:
    `getComments` in interface `FolderType`
  Returns:
    the value of the 'Comments' containment reference.
  See Also:
    `FolderType.setComments(InternationalStringType)`, `MetadataPackage.getFolderType_Comments()`

### basicSetComments

    public org.eclipse.emf.common.notify.NotificationChain basicSetComments(InternationalStringType newComments,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setComments

    public void setComments(InternationalStringType newComments)

  Specified by:
    `setComments` in interface `FolderType`
  Parameters:
    `newComments` - the new value of the 'Comments' containment reference.
  See Also:
    `FolderType.getComments()`

### getEntryUUID

    public java.lang.String getEntryUUID()

  Specified by:
    `getEntryUUID` in interface `FolderType`
  Returns:
    the value of the 'Entry UUID' attribute.
  See Also:
    `FolderType.setEntryUUID(String)`, `MetadataPackage.getFolderType_EntryUUID()`

### setEntryUUID

    public void setEntryUUID(java.lang.String newEntryUUID)

  Specified by:
    `setEntryUUID` in interface `FolderType`
  Parameters:
    `newEntryUUID` - the new value of the 'Entry UUID' attribute.
  See Also:
    `FolderType.getEntryUUID()`

### getLastUpdateTime

    public java.lang.String getLastUpdateTime()

  Specified by:
    `getLastUpdateTime` in interface `FolderType`
  Returns:
    the value of the 'Last Update Time' attribute.
  See Also:
    `FolderType.setLastUpdateTime(String)`, `MetadataPackage.getFolderType_LastUpdateTime()`

### setLastUpdateTime

    public void setLastUpdateTime(java.lang.String newLastUpdateTime)

  Specified by:
    `setLastUpdateTime` in interface `FolderType`
  Parameters:
    `newLastUpdateTime` - the new value of the 'Last Update Time' attribute.
  See Also:
    `FolderType.getLastUpdateTime()`

### getPatientId

    public CX getPatientId()

  Specified by:
    `getPatientId` in interface `FolderType`
  Returns:
    the value of the 'Patient Id' containment reference.
  See Also:
    `FolderType.setPatientId(CX)`, `MetadataPackage.getFolderType_PatientId()`

### basicSetPatientId

    public org.eclipse.emf.common.notify.NotificationChain basicSetPatientId(CX newPatientId,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setPatientId

    public void setPatientId(CX newPatientId)

  Specified by:
    `setPatientId` in interface `FolderType`
  Parameters:
    `newPatientId` - the new value of the 'Patient Id' containment reference.
  See Also:
    `FolderType.getPatientId()`

### getTitle

    public InternationalStringType getTitle()

  Specified by:
    `getTitle` in interface `FolderType`
  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `FolderType.setTitle(InternationalStringType)`, `MetadataPackage.getFolderType_Title()`

### basicSetTitle

    public org.eclipse.emf.common.notify.NotificationChain basicSetTitle(InternationalStringType newTitle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTitle

    public void setTitle(InternationalStringType newTitle)

  Specified by:
    `setTitle` in interface `FolderType`
  Parameters:
    `newTitle` - the new value of the 'Title' containment reference.
  See Also:
    `FolderType.getTitle()`

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `FolderType`
  Returns:
    the value of the 'Unique Id' attribute.
  See Also:
    `FolderType.setUniqueId(String)`, `MetadataPackage.getFolderType_UniqueId()`

### setUniqueId

    public void setUniqueId(java.lang.String newUniqueId)

  Specified by:
    `setUniqueId` in interface `FolderType`
  Parameters:
    `newUniqueId` - the new value of the 'Unique Id' attribute.
  See Also:
    `FolderType.getUniqueId()`

### isExisting

    public boolean isExisting()

  Specified by:
    `isExisting` in interface `FolderType`
  Returns:
    the value of the 'Existing' attribute.
  See Also:
    `FolderType.isSetExisting()`, `FolderType.unsetExisting()`, `FolderType.setExisting(boolean)`, `MetadataPackage.getFolderType_Existing()`

### setExisting

    public void setExisting(boolean newExisting)

  Specified by:
    `setExisting` in interface `FolderType`
  Parameters:
    `newExisting` - the new value of the 'Existing' attribute.
  See Also:
    `FolderType.isSetExisting()`, `FolderType.unsetExisting()`, `FolderType.isExisting()`

### unsetExisting

    public void unsetExisting()

  Specified by:
    `unsetExisting` in interface `FolderType`
  See Also:
    `FolderType.isSetExisting()`, `FolderType.isExisting()`, `FolderType.setExisting(boolean)`

### isSetExisting

    public boolean isSetExisting()

  Specified by:
    `isSetExisting` in interface `FolderType`
  Returns:
    whether the value of the 'Existing' attribute is set.
  See Also:
    `FolderType.unsetExisting()`, `FolderType.isExisting()`, `FolderType.setExisting(boolean)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD